Skip to main content
GET
/
issues
/
{issueId}
Get issue by ID
curl --request GET \
  --url https://api.vanta.com/v1/issues/{issueId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "683e9af1b1234567890abcde",
  "readableIssueId": "ISS-001",
  "createdDate": "2026-01-15T10:00:00.000Z",
  "createdBy": {
    "actorType": "USER",
    "actorId": "user-123"
  },
  "lastModifiedBy": {
    "actorType": "USER",
    "actorId": "user-123"
  },
  "lastModifiedDate": "2026-01-20T14:30:00.000Z",
  "title": "Access review process needs documentation",
  "description": "The access review process lacks formal documentation.",
  "owners": [
    {
      "ownerType": "USER",
      "ownerId": "user-456"
    }
  ],
  "severity": "MEDIUM",
  "status": "IN_PROGRESS",
  "rootCause": "Process was informally defined and not documented.",
  "correctiveAction": "Document the access review process and train relevant staff.",
  "dueDate": "2026-03-01T00:00:00.000Z",
  "source": {
    "sourceType": "SELF_ASSESSMENT"
  },
  "controlDomain": "Identity and Access Management",
  "closedMetadata": null,
  "detectedDate": "2026-01-10T00:00:00.000Z",
  "mappedControlIds": [],
  "mappedRiskScenarioIds": [],
  "mappedPolicyIds": [],
  "customFields": [],
  "template": "STANDARD_ISSUE",
  "type": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

issueId
string
required

Response

200 - application/json

Ok

id
string
required
readableIssueId
string
required
createdDate
string<date-time>
required
createdBy
object
required
lastModifiedBy
object
required
lastModifiedDate
string<date-time>
required
title
string
required
description
string
required
owners
object[]
required
severity
enum<string>
required
Available options:
CRITICAL,
HIGH,
MEDIUM,
LOW,
NO_SEVERITY
status
enum<string>
required
Available options:
NOT_STARTED,
IN_PROGRESS,
CLOSED
rootCause
string | null
required
correctiveAction
string | null
required
dueDate
string<date-time> | null
required
source
object | null
required
controlDomain
string | null
required
closedMetadata
object | null
required
detectedDate
string<date-time>
required
mappedControlIds
string[]
required
mappedRiskScenarioIds
string[]
required
mappedPolicyIds
string[]
required
customFields
object[]
required
template
enum<string>
required

Extract from T those types that are assignable to U

Available options:
STANDARD_ISSUE
type
enum<string> | null
required
Available options:
AREA_OF_CONCERN,
MAJOR_NONCONFORMITY,
MINOR_NONCONFORMITY,
OPP_FOR_IMPROVEMENT,
EXCEPTION,
PROCESS_FOR_IMPROVEMENT